import java.io.File;
import spire.cloud.powerpoint.sdk.model.*;
import spire.cloud.powerpoint.sdk.api.DocumentApi;

public class DocumentApiDemo {
  	static String appId = "your id";
    static String appKey = "your key";

    public static void GetPptDocument() throws Exception {
        DocumentApi documentApi = new DocumentApi(appId, appKey);
        String name = "GetPptDocument.pptx";
        String password = null;
        String storage = null;
        String folder = "input";
        Document response = documentApi.getPptDocument(name, password, storage, folder);
    }
    public static void PostPptDocument() throws Exception {
    	DocumentApi documentApi = new DocumentApi(appId, appKey);
        String name = "PostPptDocument.pptx";
        String inputFilePath = "D:/input/test.pptx";
        File data = new File(inputFilePath); 
        String inputPassword = null;
        String password = "123";
        String storage = null;
        String folder = "output";
        Document response = documentApi.postPptDocument(name, data, inputPassword, password, storage, folder);
    }
    public static void PostPptDocumentFromSource() throws Exception {
        DocumentApi documentApi = new DocumentApi(appId, appKey);
        String name = "PostPptDocumentFromSource.pptx";
        String sourcePath = "input";
        String sourcePassword = null;
        String sourceStorage = null;
        String password = "test";
        String storage = null;
        String folder = "output";
        Document response = documentApi.postPptDocumentFromSource(name, sourcePath, sourcePassword, sourceStorage, password, storage, folder);
    }
    public static void PostPptSaveAs() throws Exception {
    	DocumentApi documentApi = new DocumentApi(appId, appKey);
    	String name = "PostPptSaveAs.pptx";
    	String format = ExportFormat.PDF.toString();
        ExportOptions options = null;
        String password = null;
        String storage = null;
        String folder = "input";
        File response =documentApi.postPptSaveAs(name, format, options, password, storage, folder);
    }
    public static void PostPptSplit() throws Exception {
    	DocumentApi documentApi = new DocumentApi(appId, appKey);
        String name = "PostPptSplit.pptx";
        ExportOptions options = null;
        String format = SlideExportFormat.SVG.toString();
        int width = 500;
        int height = 400;
        int from = 3;
        int to = 6;
        String destFolder = "output";
        String password = null;
        String storage = null;
        String folder = "input";
        SplitDocumentResult response = documentApi.postPptSplit(name, options, format, width, height, to, from, destFolder, password, storage, folder);
    }
    public static void PutPptSaveAs() throws Exception {
    	DocumentApi documentApi = new DocumentApi(appId, appKey);
        String name = "PutPptSaveAs.pptx";
        String outputFilePath = "output/PutPptSaveAs_result.odp";
        String format = ExportFormat.ODP.toString();
        ExportOptions options = null;
        String password = null;
        String storage = null;
        String folder = "input";
        documentApi.putPptSaveAs(name, outputFilePath, format, options, password, storage, folder);
    }
    public static void PutPptSlideSize() throws Exception {
    	DocumentApi documentApi = new DocumentApi(appId, appKey);
    	String name = "PostPptSplit.pptx";
        String password = null;
        String storage = null;
        String folder = "input";
        int width = 800;
        int height = 600;
        String sizeType = null; //Available values : OnScreen, LetterPaper, A4Paper, Slide35mm, Overhead, Banner, Custom, Ledger, A3Paper, B4IsoPaper, B5IsoPaper, B4JisPaper, B5JisPaper, HagakiCard, OnScreen16x9, OnScreen16x10
        String scaleType = "Maximize"; //Available values : DoNotScale, EnsureFit, Maximize; Default value : DoNotScale
        Document response = documentApi.putPptSlideSize(name, password, storage, folder, width, height, sizeType, scaleType);
    }
}
