import java.io.File;

import spire.cloud.powerpoint.sdk.model.*;
import spire.cloud.powerpoint.sdk.api.SlidesApi;

public class SlidesApiDemo {
         static String appId = "your id";
         static String appKey = "your key";
         
        public static void DeletePptByIndex() throws Exception{
            SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "DeletePptByIndex.pptx";
            int slideIndex = 3;
            String password = null;
            String folder = "input";
            String storage = null;       
            Slides response = slidesApi.deletePptByIndex(name, slideIndex, password, folder, storage);
        }
        public static void DeletePptCleanSlidesList() throws Exception{
            SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "DeletePptCleanSlidesList.pptx";
            String slides = "0,2,4";
            String password = null;
            String folder = "input";
            String storage = null;         
            Slides response = slidesApi.deletePptCleanSlidesList(name, slides, password, folder, storage);    
        }
        public static void GetPptSlide() throws Exception{
            SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "GetPptSlide.pptx";
            int slideIndex = 2;
            String password = null;
            String folder = "input";
            String storage = null;
            Slide response = slidesApi.getPptSlide(name, slideIndex, password, folder, storage);         
        }
        public static void GetPptSlidesList() throws Exception{
        	SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "GetPptSlidesList.pptx";
            String password = null;
            String folder = "input";
            String storage = null;
            Slides response = slidesApi.getPptSlidesList(name, password, folder, storage);   
        }
        public static void PostPptAdd() throws Exception{
        	SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "PostPptAdd.pptx";
            int position = 2;
            String password = null;
            String folder = "input";
            String storage = null;
            String layoutAlias = "Blank";//TitleOnly TwoTextAndTwoObjects Title TextAndObject Blank           
            Slides response = slidesApi.postPptAdd(name, position, password, folder, storage, layoutAlias);
        }
        public static void PostPptCopy() throws Exception{
        	SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "PostPptCopy.pptx";
            int slideWillbeCopied = 0;
            int position = 3;
            String source = "input/source.pptx";
            String sourcePassword = null;
            String sourceStorage = null;
            String password = null;
            String folder = "input";
            String storage = null;
            Slides response = slidesApi.postPptCopy(name, slideWillbeCopied, position, source, sourcePassword, sourceStorage, password, folder, storage);
        }
        public static void PostPptMove() throws Exception{
        	SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "PostPptMove.pptx";
            int originalSlideIndex = 0;
            int newPosition = 3;
            String password = null;
            String folder = "input";
            String storage = null;
            Slides response = slidesApi.postPptMove(name, originalSlideIndex, newPosition, password, folder, storage);       
        }
        public static void PostPptReorderMany() throws Exception{
        	SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "PostPptReorderMany.pptx";
            String oldPositions = "2,1,0";
            String newPositions = "0,2,1";
            String password = null;
            String folder = "input";
            String storage = null;
            Slides response = slidesApi.postPptReorderMany(name, oldPositions, newPositions, password, folder, storage);         
        }
        public static void PostPptSlideSaveAsTestImage() throws Exception{
        	SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "PostPptSlideSaveAsTestImage.pptx";
            int slideIndex = 0;
            String format = SlideExportFormat.PNG.toString();
            ExportOptions options = null;
            int width = 400;
            int height = 300;
            String password = null;
            String folder = "input";
            String storage = null;
            File response = slidesApi.postPptSlideSaveAs(name, slideIndex, format, options, width, height, password, folder, storage);
        }
        public static void PostPptSlideSaveAsTestPdf() throws Exception{
        	SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "PostPptSlideSaveAsTestPdf.pptx";
            int slideIndex = 0;
            String format = SlideExportFormat.PDF.toString();
            ExportOptions options = new ExportOptions();
            options.put("company", "e-iceblue");
            options.put("product", "spire.cloud.powerpoint");
            int width = 500;
            int height = 600;
            String password = null;
            String folder = "input";
            String storage = null;
            File response = slidesApi.postPptSlideSaveAs(name, slideIndex, format, options, width, height, password, folder, storage);
        }
        public static void PostPptSlideSaveAsTestPptx() throws Exception{
        	SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "PostPptSlideSaveAsTestPptx.pptx";
            int slideIndex = 3;
            String format = SlideExportFormat.PPTX.toString();
            ExportOptions options = null;
            int width = 500;
            int height = 400;
            String password = null;
            String folder = "input";
            String storage = null;
            File response =slidesApi.postPptSlideSaveAs(name, slideIndex, format, options, width, height, password, folder, storage); 
        }
        public static void PutPptSlide() throws Exception{
            SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "PutPptSlide.pptx";
            int slideIndex = 0;
            String password = null;
            String folder = "input";
            String storage = null;
            Slide slide = slidesApi.getPptSlide(name, slideIndex, password, folder, storage);
            ResourceUriElement uriElement = new ResourceUriElement();
            ResourceUri uri=new ResourceUri();
            uri.setLinkType("TitleOnly");
            uriElement.setUri(uri);
            slide.setAlternateLinks(null);
            slide.setLayoutSlide(uriElement);
            slide.setShowMasterShapes(!slide.isShowMasterShapes());
            Slide response = slidesApi.putPptSlide(name, slideIndex, slide, password, folder, storage);
        }
        public static void PutPptSlideSaveAs() throws Exception{
        	SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "PutPptSlideSaveAs.pptx";
            int slideIndex = 0;
            String format = SlideExportFormat.PDF.toString();
            ExportOptions options = null;
            String password = null;
            String folder = "input";
            String storage = null;
            Slide slide = slidesApi.getPptSlide(name, slideIndex, password, folder, storage);
            int width = 500;
            int height = 400;
            String outputFilePath = "output/PutPptSlideSaveAs_result.pdf";
            slidesApi.putPptSlideSaveAs(name, slideIndex, format, outputFilePath, options, width, height, password, folder, storage);
        }
        public static void PutPptSlideSaveAsTestPpt() throws Exception{
            SlidesApi slidesApi = new SlidesApi(appId, appKey);
            String name = "PutPptSlideSaveAsTestPpt.pptx";
            int slideIndex = 0;
            String format = SlideExportFormat.PPT.toString();
            ExportOptions options = null;
            int width = 400;
            int height = 300;
            String password = null;
            String folder = "input";
            String storage = null;
            String outputFilePath = "output/PutPptSlideSaveAsTestPpt_result.ppt";
            slidesApi.putPptSlideSaveAs(name, slideIndex, format, outputFilePath, options, width, height, password, folder, storage);
        }
}
